## Partial String Matching

## Usage

    charmatch(x, table, nomatch = NA)

## Arguments

`x` | the values to be matched.
`table` | the values to be matched against.
`nomatch` | the value returned at non-matching positions.

## Description

`charmatch` seeks matches for the elements of its first argument among those of its second. If there is a unique match then the index of the matching value is returned; if multiple matches are found then `0` is returned and if no match is found then `NA` is returned.

This function is based on a C function written by Terry Therneau.

## See Also

`match` `pmatch`.

## Examples

    charmatch("", "")                             # returns 1
    charmatch("m",   c("mean", "median", "mode")) # returns 0
    charmatch("med", c("mean", "median", "mode")) # returns 2

[Package Contents]